# Fetching a single Estimate

This endpoint returns structured Estimate objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `estimates` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /estimates/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `creator` (User) - The user who created the estimate.
- `custom_field_values` (CustomFieldValue) - The value set on estimate custom fields.
- `estimate_scenarios` (EstimateScenario) - The EstimateScenarios of the estimate.
- `external_references` (ExternalReference) - Includes references to external integrations for this object.
- `workspace` (Workspace) - The Workspace that was created from the Project.
- `workspace_group` (WorkspaceGroup) - The WorkspaceGroup (client) of the estimate.

## Response 200:

  - `200` (unknown)
    The Estimate has been retrieved.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `estimates` (object)

  - `external_references` (object)

  - `users` (object)

  - `workspace_groups` (object)

  - `estimate_scenarios` (object)

  - `workspaces` (object)

  - `custom_field_values` (object)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

